WinDef.ULONG (JNA API)

com.sun.jna.platform.win32

## Class WinDef.ULONG

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.WinDef.ULONG

- All Implemented Interfaces:
    NativeMapped, java.io.Serializable, java.lang.Comparable<WinDef.ULONG>
  Direct Known Subclasses:
    WinDef.SCODE
  Enclosing interface:
    WinDef

      public static class WinDef.ULONG
      extends IntegerType
      implements java.lang.Comparable<WinDef.ULONG>

  32-bit unsigned integer.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SIZE` The Constant SIZE.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ULONG()` Instantiates a new ULONG.
    `ULONG(long value)` Instantiates a new ULONG.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(WinDef.ULONG other)`

    - ### Methods inherited from class com.sun.jna.IntegerType

      `compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SIZE

          public static final int SIZE

      The Constant SIZE.

  - ### Constructor Detail

    - #### ULONG

          public ULONG()

      Instantiates a new ULONG.

    - #### ULONG

          public ULONG(long value)

      Instantiates a new ULONG.
      Parameters:
        `value` - the value

  - ### Method Detail

    - #### compareTo

          public int compareTo(WinDef.ULONG other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<WinDef.ULONG>`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.